org.licas.util

## Class Const

- java.lang.Object
- - org.licas.util.Const

-     public class Const
      extends java.lang.Object

  Some constant values relating to the licas library.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCESS` Defines an access permission tag
    `static java.lang.String` | `ACCESSLEVEL` Defines access level tag
    `static java.lang.String` | `ALLOWADDSERVICES` Defines allow add services value
    `static java.lang.String` | `ALLOWEXTERNALJARS` Defines allow add services value
    `static java.lang.String` | `ALLSERVICES` Defines all services
    `static java.lang.String` | `ANDROID` Android operating system type.
    `static java.lang.String` | `ANON` Defines an anonymous password
    `static java.lang.String` | `ARRAYSEP` The array element separator character
    `static java.lang.String` | `ASBYTES` Defines the contents as bytes only tag
    `static java.lang.String` | `ASHTTPS` Defines As HTTPS protocol tag
    `static java.lang.String` | `ASSOCIATEDLINKS` Defines the association links tag name
    `static java.lang.String` | `ASSOCLINKS`
    `static java.lang.String` | `AUTO` The Auto tag
    `static java.lang.String` | `AUTOWRAPPER` Defines a auto wrapper
    `static java.lang.String` | `BEHAVIOURSCRIPT` Behaviour script tag
    `static int` | `BUFFERSIZE` Defines HTTP comm buffer size
    `static java.lang.String` | `CALLTYPE` Defines call type value
    `static java.lang.String` | `CATEGORY` Defines a component's category
    `static java.lang.String` | `CHARENCODING` Defines character encoding
    `static java.lang.String` | `CHILDELEMENTS` Defines a child elements type node
    `static java.lang.String` | `CHILDSERVICES` Defines child services tag
    `static java.lang.String` | `CLASSNAME` Defines a class name
    `static java.lang.String` | `CLIENTURI` Defines client uri tag
    `static java.lang.String` | `COLON` The colon symbol
    `static java.lang.String` | `COMMIDSHORT` Defines short communication ID tag
    `static java.lang.String` | `COMMUNICATIONID` Defines communication id tag
    `static java.lang.String` | `COMMUNICATIONIDS` Defines communication id tag
    `static java.lang.String` | `COMPONENTWIDTH` Defines a graphic component width tag
    `static java.lang.String` | `CONCEPT` Defines a concept tag
    `static java.lang.String` | `CONCEPTS` Defines a concepts tag
    `static java.lang.String` | `CONSTRUCTOR` Defines meta xml descriptions for one constructor
    `static java.lang.String` | `CONSTRUCTORS` Defines meta xml descriptions for constructors
    `static java.lang.String` | `CONVERSIONTYPE` Defines a conversion type shorthand
    `static long` | `counter` For debugging
    `static java.lang.String` | `CREATESERVICES` Create services tag
    `static java.lang.String` | `DATA` Defines a service data
    `static java.lang.String` | `DATAINFO` Defines DataInfo object tag
    `static java.lang.String` | `DATASET` Defines dataset tag
    `static java.lang.String` | `DATASETS` Defines datasets tag
    `static java.lang.String` | `DATASETTYPE` Defines dataset type tag
    `static java.lang.String` | `DATATYPE` Defines a data type
    `static java.lang.String` | `DECODE` Decode attribute
    `static int` | `DEFAULTMAXNEGATIVE`
    `static java.lang.String` | `DESCRIPTION` Defines a service description
    `static java.lang.String` | `DIRSEP` The directory separator character
    `static java.lang.String` | `DYNAMICLINKS` Dynamic link initialisation tag
    `static java.lang.String` | `DYNLINKS`
    `static java.lang.String` | `DYNTOPERMLINKS`
    `static java.lang.String` | `ELEMENTFILE` Defines an Element to be loaded from a file description
    `static java.lang.String` | `ENDJAR` Defines a jar file postfix
    `static java.lang.String` | `ENDPOINT` Defines endpoint address tag
    `static java.lang.String` | `ERROR` Defines a service data
    `static java.lang.String` | `EVALUATORCLASS`
    `static java.lang.String` | `EXCLUDE` Defines exclude tag
    `static java.lang.String` | `FILECONTENT` Defines the file object content tag
    `static java.lang.String` | `FILEOBJECT` Defines the file object tag
    `static java.lang.String` | `FILEURI` Defines the file object content tag
    `static java.lang.String` | `FILEURIPREFIX` Defines a file uri prefix
    `static java.lang.String` | `FROM` Defines a from element
    `static java.lang.String` | `GLOBAL` Defines global access value
    `static java.lang.String` | `GROUP` Defines group tag
    `static java.lang.String` | `HANDLE` Defines the root handle element for a path description
    `static java.lang.String` | `HEADERS` Defines entity headers tag
    `static java.lang.String` | `HORIZONTALGAP` Defines a graphic horizontal gap tag
    `static java.lang.String` | `HTTPENTITY` Defines the http entity/request/response object tag
    `static java.lang.String` | `HTTPSERVER` Defines the ESB component UUID
    `static java.lang.String` | `ICON` Defines an icon file tag
    `static java.lang.String` | `INCLUDE` The Include tag
    `static java.lang.String` | `INITIALISED` Defines an initialised service
    `static java.lang.String` | `INPUT` Defines input type tag
    `static java.lang.String` | `INSTANCEVALUE` Defines single instance value metadata part
    `static java.lang.String` | `INSTANCEVALUES` Defines instance values metadata part
    `static java.lang.String` | `ISREMOTE` Defines is remote call tag
    `static java.lang.String` | `JAR` Defines a jar file prefix
    `static java.lang.String` | `JARFILE` Defines a jar file address
    `static java.lang.String` | `JARFILESXML` Defines meta xml description for a jar files list
    `static java.lang.String` | `JARFILEURI` Defines a jar file prefix
    `static java.lang.String` | `JARFILEXML` Defines meta xml description for one jar file
    `static java.lang.String` | `KEY` Defines a component's keyword
    `static java.lang.String` | `KEYWORD` Defines keyword tag
    `static java.lang.String` | `KEYWORDINFO` Defines keyword tag
    `static java.lang.String` | `KEYWORDS` Defines a component's keywords
    `static java.lang.String` | `LANGUAGE` Defines a language tag
    `static java.lang.String` | `LEVELTYPE` Defines level type tag
    `static java.lang.String` | `LICASJARFILE` Defines a local jar factory file type
    `static java.lang.String` | `LICASJARSERVER` Defines the licas server jar file
    `static java.lang.String` | `LICASSERVICE` Defines licas-specific service tag
    `static java.lang.String` | `LINK` Defines a link element
    `static java.lang.String` | `LINKINCREMENT`
    `static java.lang.String` | `LINKKEY` Defines a link key element
    `static java.lang.String` | `LINKMETHOD`
    `static java.lang.String` | `LINKNUMBER`
    `static java.lang.String` | `LINKQUERY` Defines the dynamic link query config
    `static java.lang.String` | `LINKS` The Links tag
    `static int` | `LINKSOURCE` Link source indicator
    `static java.lang.String` | `LINKTHRESHOLD`
    `static java.lang.String` | `LINKVALUE` Defines a link value element
    `static java.lang.String` | `LINKWEIGTDECREMENT`
    `static java.lang.String` | `LINUX` Linux operating system type.
    `static java.lang.String` | `LOCALDATASET` Defines local dataset tag
    `static java.lang.String` | `LOCALFILECALL` Local file call tag
    `static java.lang.String` | `LOCALLINKS` Local links tag name
    `static java.lang.String` | `LOCALWS` Defines local web service tag
    `static java.lang.String` | `LOGCLASS` Log class
    `static java.lang.String` | `LOGFILE` Log file
    `static java.lang.String` | `MAC` Apple Mac operating system type.
    `static java.lang.String` | `MAXNODES` Defines a graphic maximum nodes tag
    `static java.lang.String` | `MAXNUMBER`
    `static java.lang.String` | `MAXVALUE` This defines the maximum value tag
    `static java.lang.String` | `MESSAGEINFO` Defines MessageInfo object tag
    `static java.lang.String` | `MESSAGESTATE` Defines a message state tag
    `static java.lang.String` | `MESSAGETYPE` Defines a message type tag
    `static java.lang.String` | `METAACCESSALLOWED` Defines access to metadata allowed value
    `static java.lang.String` | `METASEARCH` Defines a default metadata search query
    `static java.lang.String` | `METHOD` Defines method tag
    `static java.lang.String` | `METHODINFO` Defines MethodInfo object tag
    `static java.lang.String` | `METHODNAME` Defines method name tag
    `static java.lang.String` | `METHODNAMESHORT` Defines short method name tag
    `static java.lang.String` | `METHODS` Defines methods tag
    `static java.lang.String` | `MINVALUE` This defines the minimum value tag
    `static java.lang.String` | `MODULE` The Module tag
    `static java.lang.String` | `MODULES` The Modules tag
    `static java.lang.String` | `MONITOR` Defines the linking thresholds structure config values
    `static java.lang.String` | `MONITORNUMBER`
    `static int` | `MONITORSOURCE` Monitor source indicator
    `static java.lang.String` | `MONITORTHRESHOLD`
    `static java.lang.String` | `NAME` Defines a component's name
    `static java.lang.String` | `NAMESPACE` Defines namespace tag
    `static java.lang.String` | `NESTEDACCESSALLOWED` Defines access to nested services allowed value
    `static java.lang.String` | `NETWORK` The Network tag
    `static java.lang.String` | `NETWORKDEPTH` Defines a graphic network depth tag
    `static java.lang.String` | `NEXTLINK` Defines a next link element
    `static java.lang.String` | `NEXTPARAMETER` Defines next parameter tag
    `static java.lang.String` | `NEXTPASSWORDS` The Next passwords tag
    `static java.lang.String` | `NEXTREPLY` Defines a next reply
    `static java.lang.String` | `NEXTSERVICE` Defines next service tag
    `static int` | `NOSOURCE` Indicates not currently stored as a source
    `static java.lang.String` | `NOTREADY` Defines a service not ready for use
    `static java.lang.String` | `NULL` Null indicator
    `static java.lang.String` | `OBJECT` Defines some Object tag
    `static int` | `ONEPACKET` Pass the whole message in one go
    `static java.lang.String` | `OTHERMETA` Defines any other metadata related to a service
    `static java.lang.String` | `OTHERSCRIPT` Defines any other script values related to a service
    `static java.lang.String` | `OUTPUT` Defines output type tag
    `static java.lang.String` | `PACKETSIZE` Defines packet size value
    `static java.lang.String` | `PARAMETER` Defines a parameter type node
    `static java.lang.String` | `PARAMETERDESCRIPTION` Defines parameter description tag
    `static java.lang.String` | `PARAMETERNAME` Defines parameter name tag
    `static java.lang.String` | `PARAMETERS` Defines parameter nodes
    `static java.lang.String` | `PARAMETERSHORT` Defines a short parameter tag
    `static java.lang.String` | `PARAMETERTYPE` Defines parameter type tag
    `static java.lang.String` | `PARAMTYPESSHORT` Defines short param types tag
    `static java.lang.String` | `PARENT` Defines include parent object as a parameter
    `static java.lang.String` | `PARSER` Defines the parser handle
    `static java.lang.String` | `PARSERCLASS` Defines the parser handle
    `static java.lang.String` | `PASSWORD` The Password tag
    `static java.lang.String` | `PASSWORDS` The Passwords tag
    `static java.lang.String` | `PASSWORDSREQUIRED` Defines server passwords required tag
    `static java.lang.String` | `PATH` Defines a path parameter type
    `static java.lang.String` | `PERMANENTLINKS` Defines the permanent links tag name
    `static java.lang.String` | `PERMLINKS` Linking types
    `static java.lang.String` | `PORT` Defines a port number tag name
    `static java.lang.String` | `POSSIBLE`
    `static java.lang.String` | `POSSIBLENUMBER`
    `static int` | `POSSIBLESOURCE` Possible source indicator
    `static java.lang.String` | `PROTOCOL` Defines a protocol type
    `static java.lang.String` | `QUERY` Defines query condition
    `static java.lang.String` | `RANGE` This defines the range tag
    `static java.lang.String` | `READY` Defines a service ready for use
    `static java.lang.String` | `REDRAWDELAY` Defines a graphic redraw delay tag
    `static java.lang.String` | `REMOTELINKS` Remote links tag name
    `static java.lang.String` | `REPLY` Defines a reply tag
    `static java.lang.String` | `RESOURCETYPE` Defines a resource type
    `static java.lang.String` | `RESPONSE` Defines a response tag
    `static java.lang.String` | `REST` REST type
    `static java.lang.String` | `RESTOFSERVICEURI` Defines rest of service uri tag
    `static java.lang.String` | `RESULT` Defines result element tag
    `static java.lang.String` | `RETURNTYPE` Defines return type tag
    `static java.lang.String` | `RETURNTYPESHORT` Defines short return type tag
    `static java.lang.String` | `SCIENTIFIC` Scientific tag
    `static java.lang.String` | `SEED` This defines the seed tag
    `static java.lang.String` | `SEPCHARS` Token separtor of random char sequence
    `static java.lang.String` | `SERIALISEVALUE` Defines single serialise value metadata part
    `static java.lang.String` | `SERIALISEVALUES` Defines serialise values metadata part
    `static java.lang.String` | `SERVER` Server tag
    `static java.lang.String` | `SERVERADDRESS` Server address tag
    `static java.lang.String` | `SERVERCONTACT` Server contact tag
    `static java.lang.String` | `SERVERID` Defines the server id for display
    `static java.lang.String` | `SERVERKEY` Defines server (admin) key
    `static java.lang.String` | `SERVERPASSWORD` Defines server password tag
    `static java.lang.String` | `SERVERPASSWORDSHORT` Defines short service password tag
    `static java.lang.String` | `SERVERS` Servers tag
    `static java.lang.String` | `SERVICE` The Service tag
    `static java.lang.String` | `SERVICECATEGORY` Defines a service category
    `static java.lang.String` | `SERVICEGRADE` Defines a service grade
    `static java.lang.String` | `SERVICEKEY` The Service Key tag
    `static java.lang.String` | `SERVICEKEYS` The Service Keys tag
    `static java.lang.String` | `SERVICEPASSWORD` Defines service password tag
    `static java.lang.String` | `SERVICEPASSWORDSHORT` Defines short service password tag
    `static java.lang.String` | `SERVICEPATH` Defines a service path
    `static java.lang.String` | `SERVICERETURNTYPE` Defines service return type tag
    `static java.lang.String` | `SERVICES` The Services tag
    `static java.lang.String` | `SERVICESHORT` The short Service name tag
    `static java.lang.String` | `SERVICESTATE` Defines a service state tag
    `static java.lang.String` | `SERVICESTOLOAD` Defines services to load tag
    `static java.lang.String` | `SERVICETYPE` Defines a service type
    `static java.lang.String` | `SERVICEURI` Defines service uri tag
    `static java.lang.String` | `SERVICEWRAPPER` Defines a service wrapper
    `static java.lang.String` | `SOA` The SOA tag
    `static java.lang.String` | `SOAP` SOAP type
    `static java.lang.String` | `SOAPACTION` Defines soap action tag
    `static java.lang.String` | `SOAPLITE` SOAP lite type
    `static java.lang.String` | `SOLUTIONS` Defines number of (service)solutions tag
    `static java.lang.String` | `SOURCE` This defines the source value tag
    `static java.lang.String` | `SOURCES` This defines the sources tag
    `static java.lang.String` | `STARTTHREADS` Start threads tag
    `static java.lang.String` | `STATUS` Defines status code tag
    `static java.lang.String` | `TAB` Tab amount
    `static java.lang.String` | `TESTSCRIPT` Test script tag
    `static java.lang.String` | `THREADSTATE` The Thread State tag
    `static java.lang.String` | `THRESHOLDS` Defines a thresholds element
    `static java.lang.String` | `THRESHOLDSCONFIG`
    `static java.lang.String` | `TIME` Defines time element tag
    `static java.lang.String` | `TIMEOUT` Defines a timeout tag
    `static java.lang.String` | `TIMEOUTSHORT` Defines short timeout tag - in seconds not milliseconds
    `static java.lang.String` | `TIMESTAMP` Defines a timestamp tag
    `static java.lang.String` | `TO` Defines a to element
    `static java.lang.String` | `TOKENIZER` Defines tokenizer type tag
    `static java.lang.String` | `TOPARSECLASS` Defines the parser handle
    `static java.lang.String` | `TRUE` True indicator
    `static java.lang.String` | `TYPE` Defines a component's type
    `static java.lang.String` | `URIJAR` Defines a jar uri jar file type
    `static java.lang.String` | `URIPASSWORD` Defines a jar uri password type
    `static java.lang.String` | `URIURL` Defines a jar uri url type
    `static java.lang.String` | `URL` Defines a network url address
    `static java.lang.String` | `UUID` Defines a class name
    `static java.lang.String` | `VALUE` Defines a component's value
    `static java.lang.String` | `VALUES` Defines a component's value shorthand
    `static java.lang.String` | `VERTICALGAP` Defines a graphic vertical gap tag
    `static java.lang.String` | `WEBSERVICE` Defines web service tag
    `static java.lang.String` | `WEBSERVICEMETHODINFO` Defines web service tag
    `static java.lang.String` | `WEIGHT` Defines weight tag
    `static java.lang.String` | `WINDOWS` Windows operating system type.
    `static java.lang.String` | `WSDLPARAMETER` Defines a WSDL parameter type node
    `static java.lang.String` | `WSPASSWORD` Defines short web service password tag
    `static java.lang.String` | `WSPASSWORDSHORT` Defines short web service password tag
    `static java.lang.String` | `WSRPC` Web Service RPC protocol
    `static java.lang.String` | `WSUSERNAME` Defines short web service username tag
    `static java.lang.String` | `WSUSERNAMESHORT` Defines short web service username tag
    `static java.lang.String` | `XMLHEADER` Defines XML header information
    `static java.lang.String` | `XMLRPC` XML-RPC type

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Const()` Creates a new instance of Const

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isLinux()` Return true if linux or android OS is specified.
    `static boolean` | `isMobile()` Return true if a mobile (android) OS is specified.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WINDOWS

          public static final java.lang.String WINDOWS

      Windows operating system type.
      See Also:
        Constant Field Values

    - #### MAC

          public static final java.lang.String MAC

      Apple Mac operating system type.
      See Also:
        Constant Field Values

    - #### LINUX

          public static final java.lang.String LINUX

      Linux operating system type.
      See Also:
        Constant Field Values

    - #### ANDROID

          public static final java.lang.String ANDROID

      Android operating system type.
      See Also:
        Constant Field Values

    - #### JARFILEURI

          public static final java.lang.String JARFILEURI

      Defines a jar file prefix

    - #### FILEURIPREFIX

          public static final java.lang.String FILEURIPREFIX

      Defines a file uri prefix

    - #### DIRSEP

          public static final java.lang.String DIRSEP

      The directory separator character

    - #### ARRAYSEP

          public static final java.lang.String ARRAYSEP

      The array element separator character

    - #### HTTPSERVER

          public static final java.lang.String HTTPSERVER

      Defines the ESB component UUID
      See Also:
        Constant Field Values

    - #### SERVERS

          public static final java.lang.String SERVERS

      Servers tag
      See Also:
        Constant Field Values

    - #### SERVER

          public static final java.lang.String SERVER

      Server tag
      See Also:
        Constant Field Values

    - #### SERVERCONTACT

          public static final java.lang.String SERVERCONTACT

      Server contact tag
      See Also:
        Constant Field Values

    - #### SERVERID

          public static final java.lang.String SERVERID

      Defines the server id for display
      See Also:
        Constant Field Values

    - #### PORT

          public static final java.lang.String PORT

      Defines a port number tag name
      See Also:
        Constant Field Values

    - #### NAME

          public static final java.lang.String NAME

      Defines a component's name
      See Also:
        Constant Field Values

    - #### SOURCES

          public static final java.lang.String SOURCES

      This defines the sources tag
      See Also:
        Constant Field Values

    - #### SOURCE

          public static final java.lang.String SOURCE

      This defines the source value tag
      See Also:
        Constant Field Values

    - #### PATH

          public static final java.lang.String PATH

      Defines a path parameter type
      See Also:
        Constant Field Values

    - #### CONCEPTS

          public static final java.lang.String CONCEPTS

      Defines a concepts tag
      See Also:
        Constant Field Values

    - #### CONCEPT

          public static final java.lang.String CONCEPT

      Defines a concept tag
      See Also:
        Constant Field Values

    - #### LANGUAGE

          public static final java.lang.String LANGUAGE

      Defines a language tag
      See Also:
        Constant Field Values

    - #### KEYWORDS

          public static final java.lang.String KEYWORDS

      Defines a component's keywords
      See Also:
        Constant Field Values

    - #### KEYWORD

          public static final java.lang.String KEYWORD

      Defines keyword tag
      See Also:
        Constant Field Values

    - #### KEYWORDINFO

          public static final java.lang.String KEYWORDINFO

      Defines keyword tag
      See Also:
        Constant Field Values

    - #### KEY

          public static final java.lang.String KEY

      Defines a component's keyword
      See Also:
        Constant Field Values

    - #### TYPE

          public static final java.lang.String TYPE

      Defines a component's type
      See Also:
        Constant Field Values

    - #### CATEGORY

          public static final java.lang.String CATEGORY

      Defines a component's category
      See Also:
        Constant Field Values

    - #### DATATYPE

          public static final java.lang.String DATATYPE

      Defines a data type
      See Also:
        Constant Field Values

    - #### RESOURCETYPE

          public static final java.lang.String RESOURCETYPE

      Defines a resource type
      See Also:
        Constant Field Values

    - #### CONVERSIONTYPE

          public static final java.lang.String CONVERSIONTYPE

      Defines a conversion type shorthand
      See Also:
        Constant Field Values

    - #### VALUES

          public static final java.lang.String VALUES

      Defines a component's value shorthand
      See Also:
        Constant Field Values

    - #### VALUE

          public static final java.lang.String VALUE

      Defines a component's value
      See Also:
        Constant Field Values

    - #### PARAMETERS

          public static final java.lang.String PARAMETERS

      Defines parameter nodes
      See Also:
        Constant Field Values

    - #### PARAMETER

          public static final java.lang.String PARAMETER

      Defines a parameter type node
      See Also:
        Constant Field Values

    - #### WSDLPARAMETER

          public static final java.lang.String WSDLPARAMETER

      Defines a WSDL parameter type node
      See Also:
        Constant Field Values

    - #### CHILDELEMENTS

          public static final java.lang.String CHILDELEMENTS

      Defines a child elements type node
      See Also:
        Constant Field Values

    - #### ANON

          public static final java.lang.String ANON

      Defines an anonymous password
      See Also:
        Constant Field Values

    - #### ALLSERVICES

          public static final java.lang.String ALLSERVICES

      Defines all services
      See Also:
        Constant Field Values

    - #### SERVICEWRAPPER

          public static final java.lang.String SERVICEWRAPPER

      Defines a service wrapper
      See Also:
        Constant Field Values

    - #### AUTOWRAPPER

          public static final java.lang.String AUTOWRAPPER

      Defines a auto wrapper
      See Also:
        Constant Field Values

    - #### THRESHOLDS

          public static final java.lang.String THRESHOLDS

      Defines a thresholds element
      See Also:
        Constant Field Values

    - #### LINK

          public static final java.lang.String LINK

      Defines a link element
      See Also:
        Constant Field Values

    - #### NEXTLINK

          public static final java.lang.String NEXTLINK

      Defines a next link element
      See Also:
        Constant Field Values

    - #### LINKKEY

          public static final java.lang.String LINKKEY

      Defines a link key element
      See Also:
        Constant Field Values

    - #### LINKVALUE

          public static final java.lang.String LINKVALUE

      Defines a link value element
      See Also:
        Constant Field Values

    - #### LINKQUERY

          public static final java.lang.String LINKQUERY

      Defines the dynamic link query config
      See Also:
        Constant Field Values

    - #### MAXNUMBER

          public static final java.lang.String MAXNUMBER

      See Also:
        Constant Field Values

    - #### MONITOR

          public static final java.lang.String MONITOR

      Defines the linking thresholds structure config values
      See Also:
        Constant Field Values

    - #### POSSIBLE

          public static final java.lang.String POSSIBLE

      See Also:
        Constant Field Values

    - #### THRESHOLDSCONFIG

          public static final java.lang.String THRESHOLDSCONFIG

      See Also:
        Constant Field Values

    - #### MONITORTHRESHOLD

          public static final java.lang.String MONITORTHRESHOLD

      See Also:
        Constant Field Values

    - #### LINKTHRESHOLD

          public static final java.lang.String LINKTHRESHOLD

      See Also:
        Constant Field Values

    - #### POSSIBLENUMBER

          public static final java.lang.String POSSIBLENUMBER

      See Also:
        Constant Field Values

    - #### MONITORNUMBER

          public static final java.lang.String MONITORNUMBER

      See Also:
        Constant Field Values

    - #### LINKNUMBER

          public static final java.lang.String LINKNUMBER

      See Also:
        Constant Field Values

    - #### LINKINCREMENT

          public static final java.lang.String LINKINCREMENT

      See Also:
        Constant Field Values

    - #### LINKWEIGTDECREMENT

          public static final java.lang.String LINKWEIGTDECREMENT

      See Also:
        Constant Field Values

    - #### LINKMETHOD

          public static final java.lang.String LINKMETHOD

      See Also:
        Constant Field Values

    - #### DEFAULTMAXNEGATIVE

          public static final int DEFAULTMAXNEGATIVE

      See Also:
        Constant Field Values

    - #### LOCALLINKS

          public static final java.lang.String LOCALLINKS

      Local links tag name
      See Also:
        Constant Field Values

    - #### REMOTELINKS

          public static final java.lang.String REMOTELINKS

      Remote links tag name
      See Also:
        Constant Field Values

    - #### PERMLINKS

          public static final java.lang.String PERMLINKS

      Linking types
      See Also:
        Constant Field Values

    - #### DYNTOPERMLINKS

          public static final java.lang.String DYNTOPERMLINKS

      See Also:
        Constant Field Values

    - #### DYNLINKS

          public static final java.lang.String DYNLINKS

      See Also:
        Constant Field Values

    - #### ASSOCLINKS

          public static final java.lang.String ASSOCLINKS

      See Also:
        Constant Field Values

    - #### HANDLE

          public static final java.lang.String HANDLE

      Defines the root handle element for a path description
      See Also:
        Constant Field Values

    - #### FROM

          public static final java.lang.String FROM

      Defines a from element
      See Also:
        Constant Field Values

    - #### TO

          public static final java.lang.String TO

      Defines a to element
      See Also:
        Constant Field Values

    - #### TIMEOUT

          public static final java.lang.String TIMEOUT

      Defines a timeout tag
      See Also:
        Constant Field Values

    - #### TIMESTAMP

          public static final java.lang.String TIMESTAMP

      Defines a timestamp tag
      See Also:
        Constant Field Values

    - #### WEIGHT

          public static final java.lang.String WEIGHT

      Defines weight tag
      See Also:
        Constant Field Values

    - #### NETWORK

          public static final java.lang.String NETWORK

      The Network tag
      See Also:
        Constant Field Values

    - #### SOA

          public static final java.lang.String SOA

      The SOA tag
      See Also:
        Constant Field Values

    - #### SERVICES

          public static final java.lang.String SERVICES

      The Services tag
      See Also:
        Constant Field Values

    - #### SERVICE

          public static final java.lang.String SERVICE

      The Service tag
      See Also:
        Constant Field Values

    - #### AUTO

          public static final java.lang.String AUTO

      The Auto tag
      See Also:
        Constant Field Values

    - #### MODULES

          public static final java.lang.String MODULES

      The Modules tag
      See Also:
        Constant Field Values

    - #### MODULE

          public static final java.lang.String MODULE

      The Module tag
      See Also:
        Constant Field Values

    - #### INCLUDE

          public static final java.lang.String INCLUDE

      The Include tag
      See Also:
        Constant Field Values

    - #### PASSWORD

          public static final java.lang.String PASSWORD

      The Password tag
      See Also:
        Constant Field Values

    - #### PASSWORDS

          public static final java.lang.String PASSWORDS

      The Passwords tag
      See Also:
        Constant Field Values

    - #### NEXTPASSWORDS

          public static final java.lang.String NEXTPASSWORDS

      The Next passwords tag
      See Also:
        Constant Field Values

    - #### SERVICEKEYS

          public static final java.lang.String SERVICEKEYS

      The Service Keys tag
      See Also:
        Constant Field Values

    - #### SERVICEKEY

          public static final java.lang.String SERVICEKEY

      The Service Key tag
      See Also:
        Constant Field Values

    - #### THREADSTATE

          public static final java.lang.String THREADSTATE

      The Thread State tag
      See Also:
        Constant Field Values

    - #### LINKS

          public static final java.lang.String LINKS

      The Links tag
      See Also:
        Constant Field Values

    - #### DYNAMICLINKS

          public static final java.lang.String DYNAMICLINKS

      Dynamic link initialisation tag
      See Also:
        Constant Field Values

    - #### SCIENTIFIC

          public static final java.lang.String SCIENTIFIC

      Scientific tag
      See Also:
        Constant Field Values

    - #### URL

          public static final java.lang.String URL

      Defines a network url address
      See Also:
        Constant Field Values

    - #### JARFILE

          public static final java.lang.String JARFILE

      Defines a jar file address
      See Also:
        Constant Field Values

    - #### COMPONENTWIDTH

          public static final java.lang.String COMPONENTWIDTH

      Defines a graphic component width tag
      See Also:
        Constant Field Values

    - #### HORIZONTALGAP

          public static final java.lang.String HORIZONTALGAP

      Defines a graphic horizontal gap tag
      See Also:
        Constant Field Values

    - #### VERTICALGAP

          public static final java.lang.String VERTICALGAP

      Defines a graphic vertical gap tag
      See Also:
        Constant Field Values

    - #### NETWORKDEPTH

          public static final java.lang.String NETWORKDEPTH

      Defines a graphic network depth tag
      See Also:
        Constant Field Values

    - #### MAXNODES

          public static final java.lang.String MAXNODES

      Defines a graphic maximum nodes tag
      See Also:
        Constant Field Values

    - #### REDRAWDELAY

          public static final java.lang.String REDRAWDELAY

      Defines a graphic redraw delay tag
      See Also:
        Constant Field Values

    - #### SERVICESHORT

          public static final java.lang.String SERVICESHORT

      The short Service name tag
      See Also:
        Constant Field Values

    - #### SERVERPASSWORDSHORT

          public static final java.lang.String SERVERPASSWORDSHORT

      Defines short service password tag
      See Also:
        Constant Field Values

    - #### SERVICEPASSWORDSHORT

          public static final java.lang.String SERVICEPASSWORDSHORT

      Defines short service password tag
      See Also:
        Constant Field Values

    - #### METHODNAMESHORT

          public static final java.lang.String METHODNAMESHORT

      Defines short method name tag
      See Also:
        Constant Field Values

    - #### RETURNTYPESHORT

          public static final java.lang.String RETURNTYPESHORT

      Defines short return type tag
      See Also:
        Constant Field Values

    - #### PARAMETERSHORT

          public static final java.lang.String PARAMETERSHORT

      Defines a short parameter tag
      See Also:
        Constant Field Values

    - #### PARAMTYPESSHORT

          public static final java.lang.String PARAMTYPESSHORT

      Defines short param types tag
      See Also:
        Constant Field Values

    - #### TIMEOUTSHORT

          public static final java.lang.String TIMEOUTSHORT

      Defines short timeout tag - in seconds not milliseconds
      See Also:
        Constant Field Values

    - #### COMMIDSHORT

          public static final java.lang.String COMMIDSHORT

      Defines short communication ID tag
      See Also:
        Constant Field Values

    - #### WSUSERNAME

          public static final java.lang.String WSUSERNAME

      Defines short web service username tag
      See Also:
        Constant Field Values

    - #### WSPASSWORD

          public static final java.lang.String WSPASSWORD

      Defines short web service password tag
      See Also:
        Constant Field Values

    - #### WSUSERNAMESHORT

          public static final java.lang.String WSUSERNAMESHORT

      Defines short web service username tag
      See Also:
        Constant Field Values

    - #### WSPASSWORDSHORT

          public static final java.lang.String WSPASSWORDSHORT

      Defines short web service password tag
      See Also:
        Constant Field Values

    - #### UUID

          public static final java.lang.String UUID

      Defines a class name
      See Also:
        Constant Field Values

    - #### SERVICETYPE

          public static final java.lang.String SERVICETYPE

      Defines a service type
      See Also:
        Constant Field Values

    - #### SERVICEGRADE

          public static final java.lang.String SERVICEGRADE

      Defines a service grade
      See Also:
        Constant Field Values

    - #### SERVICECATEGORY

          public static final java.lang.String SERVICECATEGORY

      Defines a service category
      See Also:
        Constant Field Values

    - #### CLASSNAME

          public static final java.lang.String CLASSNAME

      Defines a class name
      See Also:
        Constant Field Values

    - #### SERVICEPATH

          public static final java.lang.String SERVICEPATH

      Defines a service path
      See Also:
        Constant Field Values

    - #### DESCRIPTION

          public static final java.lang.String DESCRIPTION

      Defines a service description
      See Also:
        Constant Field Values

    - #### ICON

          public static final java.lang.String ICON

      Defines an icon file tag
      See Also:
        Constant Field Values

    - #### OTHERMETA

          public static final java.lang.String OTHERMETA

      Defines any other metadata related to a service
      See Also:
        Constant Field Values

    - #### OBJECT

          public static final java.lang.String OBJECT

      Defines some Object tag
      See Also:
        Constant Field Values

    - #### LICASSERVICE

          public static final java.lang.String LICASSERVICE

      Defines licas-specific service tag
      See Also:
        Constant Field Values

    - #### INSTANCEVALUES

          public static final java.lang.String INSTANCEVALUES

      Defines instance values metadata part
      See Also:
        Constant Field Values

    - #### INSTANCEVALUE

          public static final java.lang.String INSTANCEVALUE

      Defines single instance value metadata part
      See Also:
        Constant Field Values

    - #### SERIALISEVALUES

          public static final java.lang.String SERIALISEVALUES

      Defines serialise values metadata part
      See Also:
        Constant Field Values

    - #### SERIALISEVALUE

          public static final java.lang.String SERIALISEVALUE

      Defines single serialise value metadata part
      See Also:
        Constant Field Values

    - #### OTHERSCRIPT

          public static final java.lang.String OTHERSCRIPT

      Defines any other script values related to a service
      See Also:
        Constant Field Values

    - #### DATA

          public static final java.lang.String DATA

      Defines a service data
      See Also:
        Constant Field Values

    - #### DATASET

          public static final java.lang.String DATASET

      Defines dataset tag
      See Also:
        Constant Field Values

    - #### DATASETS

          public static final java.lang.String DATASETS

      Defines datasets tag
      See Also:
        Constant Field Values

    - #### LOCALDATASET

          public static final java.lang.String LOCALDATASET

      Defines local dataset tag
      See Also:
        Constant Field Values

    - #### DATASETTYPE

          public static final java.lang.String DATASETTYPE

      Defines dataset type tag
      See Also:
        Constant Field Values

    - #### INPUT

          public static final java.lang.String INPUT

      Defines input type tag
      See Also:
        Constant Field Values

    - #### OUTPUT

          public static final java.lang.String OUTPUT

      Defines output type tag
      See Also:
        Constant Field Values

    - #### TOKENIZER

          public static final java.lang.String TOKENIZER

      Defines tokenizer type tag
      See Also:
        Constant Field Values

    - #### SOLUTIONS

          public static final java.lang.String SOLUTIONS

      Defines number of (service)solutions tag
      See Also:
        Constant Field Values

    - #### NEXTSERVICE

          public static final java.lang.String NEXTSERVICE

      Defines next service tag
      See Also:
        Constant Field Values

    - #### CHILDSERVICES

          public static final java.lang.String CHILDSERVICES

      Defines child services tag
      See Also:
        Constant Field Values

    - #### CONSTRUCTORS

          public static final java.lang.String CONSTRUCTORS

      Defines meta xml descriptions for constructors
      See Also:
        Constant Field Values

    - #### CONSTRUCTOR

          public static final java.lang.String CONSTRUCTOR

      Defines meta xml descriptions for one constructor
      See Also:
        Constant Field Values

    - #### RESULT

          public static final java.lang.String RESULT

      Defines result element tag
      See Also:
        Constant Field Values

    - #### QUERY

          public static final java.lang.String QUERY

      Defines query condition
      See Also:
        Constant Field Values

    - #### REPLY

          public static final java.lang.String REPLY

      Defines a reply tag
      See Also:
        Constant Field Values

    - #### NEXTREPLY

          public static final java.lang.String NEXTREPLY

      Defines a next reply
      See Also:
        Constant Field Values

    - #### TIME

          public static final java.lang.String TIME

      Defines time element tag
      See Also:
        Constant Field Values

    - #### METASEARCH

          public static final java.lang.String METASEARCH

      Defines a default metadata search query
      See Also:
        Constant Field Values

    - #### MESSAGEINFO

          public static final java.lang.String MESSAGEINFO

      Defines MessageInfo object tag
      See Also:
        Constant Field Values

    - #### MESSAGETYPE

          public static final java.lang.String MESSAGETYPE

      Defines a message type tag
      See Also:
        Constant Field Values

    - #### MESSAGESTATE

          public static final java.lang.String MESSAGESTATE

      Defines a message state tag
      See Also:
        Constant Field Values

    - #### SERVICESTATE

          public static final java.lang.String SERVICESTATE

      Defines a service state tag
      See Also:
        Constant Field Values

    - #### TESTSCRIPT

          public static final java.lang.String TESTSCRIPT

      Test script tag
      See Also:
        Constant Field Values

    - #### BEHAVIOURSCRIPT

          public static final java.lang.String BEHAVIOURSCRIPT

      Behaviour script tag
      See Also:
        Constant Field Values

    - #### READY

          public static final java.lang.String READY

      Defines a service ready for use
      See Also:
        Constant Field Values

    - #### NOTREADY

          public static final java.lang.String NOTREADY

      Defines a service not ready for use
      See Also:
        Constant Field Values

    - #### INITIALISED

          public static final java.lang.String INITIALISED

      Defines an initialised service
      See Also:
        Constant Field Values

    - #### LOCALFILECALL

          public static final java.lang.String LOCALFILECALL

      Local file call tag
      See Also:
        Constant Field Values

    - #### PARSER

          public static final java.lang.String PARSER

      Defines the parser handle
      See Also:
        Constant Field Values

    - #### PARSERCLASS

          public static final java.lang.String PARSERCLASS

      Defines the parser handle
      See Also:
        Constant Field Values

    - #### TOPARSECLASS

          public static final java.lang.String TOPARSECLASS

      Defines the parser handle
      See Also:
        Constant Field Values

    - #### PARENT

          public static final java.lang.String PARENT

      Defines include parent object as a parameter
      See Also:
        Constant Field Values

    - #### PERMANENTLINKS

          public static final java.lang.String PERMANENTLINKS

      Defines the permanent links tag name
      See Also:
        Constant Field Values

    - #### ASSOCIATEDLINKS

          public static final java.lang.String ASSOCIATEDLINKS

      Defines the association links tag name
      See Also:
        Constant Field Values

    - #### CHARENCODING

          public static final java.lang.String CHARENCODING

      Defines character encoding
      See Also:
        Constant Field Values

    - #### XMLHEADER

          public static final java.lang.String XMLHEADER

      Defines XML header information
      See Also:
        Constant Field Values

    - #### ONEPACKET

          public static final int ONEPACKET

      Pass the whole message in one go
      See Also:
        Constant Field Values

    - #### SERVICESTOLOAD

          public static final java.lang.String SERVICESTOLOAD

      Defines services to load tag
      See Also:
        Constant Field Values

    - #### ACCESS

          public static final java.lang.String ACCESS

      Defines an access permission tag
      See Also:
        Constant Field Values

    - #### ACCESSLEVEL

          public static final java.lang.String ACCESSLEVEL

      Defines access level tag
      See Also:
        Constant Field Values

    - #### LEVELTYPE

          public static final java.lang.String LEVELTYPE

      Defines level type tag
      See Also:
        Constant Field Values

    - #### GROUP

          public static final java.lang.String GROUP

      Defines group tag
      See Also:
        Constant Field Values

    - #### EXCLUDE

          public static final java.lang.String EXCLUDE

      Defines exclude tag
      See Also:
        Constant Field Values

    - #### GLOBAL

          public static final java.lang.String GLOBAL

      Defines global access value
      See Also:
        Constant Field Values

    - #### ALLOWADDSERVICES

          public static final java.lang.String ALLOWADDSERVICES

      Defines allow add services value
      See Also:
        Constant Field Values

    - #### ALLOWEXTERNALJARS

          public static final java.lang.String ALLOWEXTERNALJARS

      Defines allow add services value
      See Also:
        Constant Field Values

    - #### METAACCESSALLOWED

          public static final java.lang.String METAACCESSALLOWED

      Defines access to metadata allowed value
      See Also:
        Constant Field Values

    - #### NESTEDACCESSALLOWED

          public static final java.lang.String NESTEDACCESSALLOWED

      Defines access to nested services allowed value
      See Also:
        Constant Field Values

    - #### METHODINFO

          public static final java.lang.String METHODINFO

      Defines MethodInfo object tag
      See Also:
        Constant Field Values

    - #### PACKETSIZE

          public static final java.lang.String PACKETSIZE

      Defines packet size value
      See Also:
        Constant Field Values

    - #### ISREMOTE

          public static final java.lang.String ISREMOTE

      Defines is remote call tag
      See Also:
        Constant Field Values

    - #### CALLTYPE

          public static final java.lang.String CALLTYPE

      Defines call type value
      See Also:
        Constant Field Values

    - #### PROTOCOL

          public static final java.lang.String PROTOCOL

      Defines a protocol type
      See Also:
        Constant Field Values

    - #### CREATESERVICES

          public static final java.lang.String CREATESERVICES

      Create services tag
      See Also:
        Constant Field Values

    - #### STARTTHREADS

          public static final java.lang.String STARTTHREADS

      Start threads tag
      See Also:
        Constant Field Values

    - #### SERVERADDRESS

          public static final java.lang.String SERVERADDRESS

      Server address tag
      See Also:
        Constant Field Values

    - #### SERVERPASSWORD

          public static final java.lang.String SERVERPASSWORD

      Defines server password tag
      See Also:
        Constant Field Values

    - #### SERVERKEY

          public static final java.lang.String SERVERKEY

      Defines server (admin) key
      See Also:
        Constant Field Values

    - #### SERVICEPASSWORD

          public static final java.lang.String SERVICEPASSWORD

      Defines service password tag
      See Also:
        Constant Field Values

    - #### PASSWORDSREQUIRED

          public static final java.lang.String PASSWORDSREQUIRED

      Defines server passwords required tag
      See Also:
        Constant Field Values

    - #### ASHTTPS

          public static final java.lang.String ASHTTPS

      Defines As HTTPS protocol tag
      See Also:
        Constant Field Values

    - #### COMMUNICATIONIDS

          public static final java.lang.String COMMUNICATIONIDS

      Defines communication id tag
      See Also:
        Constant Field Values

    - #### COMMUNICATIONID

          public static final java.lang.String COMMUNICATIONID

      Defines communication id tag
      See Also:
        Constant Field Values

    - #### SERVICERETURNTYPE

          public static final java.lang.String SERVICERETURNTYPE

      Defines service return type tag
      See Also:
        Constant Field Values

    - #### CLIENTURI

          public static final java.lang.String CLIENTURI

      Defines client uri tag
      See Also:
        Constant Field Values

    - #### SERVICEURI

          public static final java.lang.String SERVICEURI

      Defines service uri tag
      See Also:
        Constant Field Values

    - #### RESTOFSERVICEURI

          public static final java.lang.String RESTOFSERVICEURI

      Defines rest of service uri tag
      See Also:
        Constant Field Values

    - #### DATAINFO

          public static final java.lang.String DATAINFO

      Defines DataInfo object tag
      See Also:
        Constant Field Values

    - #### EVALUATORCLASS

          public static final java.lang.String EVALUATORCLASS

      See Also:
        Constant Field Values

    - #### METHODS

          public static final java.lang.String METHODS

      Defines methods tag
      See Also:
        Constant Field Values

    - #### METHOD

          public static final java.lang.String METHOD

      Defines method tag
      See Also:
        Constant Field Values

    - #### METHODNAME

          public static final java.lang.String METHODNAME

      Defines method name tag
      See Also:
        Constant Field Values

    - #### RETURNTYPE

          public static final java.lang.String RETURNTYPE

      Defines return type tag
      See Also:
        Constant Field Values

    - #### NEXTPARAMETER

          public static final java.lang.String NEXTPARAMETER

      Defines next parameter tag
      See Also:
        Constant Field Values

    - #### PARAMETERNAME

          public static final java.lang.String PARAMETERNAME

      Defines parameter name tag
      See Also:
        Constant Field Values

    - #### PARAMETERTYPE

          public static final java.lang.String PARAMETERTYPE

      Defines parameter type tag
      See Also:
        Constant Field Values

    - #### PARAMETERDESCRIPTION

          public static final java.lang.String PARAMETERDESCRIPTION

      Defines parameter description tag
      See Also:
        Constant Field Values

    - #### JARFILESXML

          public static final java.lang.String JARFILESXML

      Defines meta xml description for a jar files list
      See Also:
        Constant Field Values

    - #### JARFILEXML

          public static final java.lang.String JARFILEXML

      Defines meta xml description for one jar file
      See Also:
        Constant Field Values

    - #### ELEMENTFILE

          public static final java.lang.String ELEMENTFILE

      Defines an Element to be loaded from a file description
      See Also:
        Constant Field Values

    - #### URIURL

          public static final java.lang.String URIURL

      Defines a jar uri url type
      See Also:
        Constant Field Values

    - #### URIPASSWORD

          public static final java.lang.String URIPASSWORD

      Defines a jar uri password type
      See Also:
        Constant Field Values

    - #### URIJAR

          public static final java.lang.String URIJAR

      Defines a jar uri jar file type
      See Also:
        Constant Field Values

    - #### LICASJARFILE

          public static final java.lang.String LICASJARFILE

      Defines a local jar factory file type
      See Also:
        Constant Field Values

    - #### JAR

          public static final java.lang.String JAR

      Defines a jar file prefix
      See Also:
        Constant Field Values

    - #### ENDJAR

          public static final java.lang.String ENDJAR

      Defines a jar file postfix
      See Also:
        Constant Field Values

    - #### LICASJARSERVER

          public static final java.lang.String LICASJARSERVER

      Defines the licas server jar file
      See Also:
        Constant Field Values

    - #### FILEOBJECT

          public static final java.lang.String FILEOBJECT

      Defines the file object tag
      See Also:
        Constant Field Values

    - #### FILEURI

          public static final java.lang.String FILEURI

      Defines the file object content tag
      See Also:
        Constant Field Values

    - #### FILECONTENT

          public static final java.lang.String FILECONTENT

      Defines the file object content tag
      See Also:
        Constant Field Values

    - #### ASBYTES

          public static final java.lang.String ASBYTES

      Defines the contents as bytes only tag
      See Also:
        Constant Field Values

    - #### WEBSERVICEMETHODINFO

          public static final java.lang.String WEBSERVICEMETHODINFO

      Defines web service tag
      See Also:
        Constant Field Values

    - #### WEBSERVICE

          public static final java.lang.String WEBSERVICE

      Defines web service tag
      See Also:
        Constant Field Values

    - #### ENDPOINT

          public static final java.lang.String ENDPOINT

      Defines endpoint address tag
      See Also:
        Constant Field Values

    - #### SOAPACTION

          public static final java.lang.String SOAPACTION

      Defines soap action tag
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      Defines namespace tag
      See Also:
        Constant Field Values

    - #### LOCALWS

          public static final java.lang.String LOCALWS

      Defines local web service tag
      See Also:
        Constant Field Values

    - #### HTTPENTITY

          public static final java.lang.String HTTPENTITY

      Defines the http entity/request/response object tag
      See Also:
        Constant Field Values

    - #### HEADERS

          public static final java.lang.String HEADERS

      Defines entity headers tag
      See Also:
        Constant Field Values

    - #### STATUS

          public static final java.lang.String STATUS

      Defines status code tag
      See Also:
        Constant Field Values

    - #### RESPONSE

          public static final java.lang.String RESPONSE

      Defines a response tag
      See Also:
        Constant Field Values

    - #### BUFFERSIZE

          public static final int BUFFERSIZE

      Defines HTTP comm buffer size
      See Also:
        Constant Field Values

    - #### NOSOURCE

          public static final int NOSOURCE

      Indicates not currently stored as a source
      See Also:
        Constant Field Values

    - #### POSSIBLESOURCE

          public static final int POSSIBLESOURCE

      Possible source indicator
      See Also:
        Constant Field Values

    - #### MONITORSOURCE

          public static final int MONITORSOURCE

      Monitor source indicator
      See Also:
        Constant Field Values

    - #### LINKSOURCE

          public static final int LINKSOURCE

      Link source indicator
      See Also:
        Constant Field Values

    - #### LOGCLASS

          public static final java.lang.String LOGCLASS

      Log class
      See Also:
        Constant Field Values

    - #### LOGFILE

          public static final java.lang.String LOGFILE

      Log file
      See Also:
        Constant Field Values

    - #### XMLRPC

          public static final java.lang.String XMLRPC

      XML-RPC type
      See Also:
        Constant Field Values

    - #### REST

          public static final java.lang.String REST

      REST type
      See Also:
        Constant Field Values

    - #### SOAP

          public static final java.lang.String SOAP

      SOAP type
      See Also:
        Constant Field Values

    - #### WSRPC

          public static final java.lang.String WSRPC

      Web Service RPC protocol
      See Also:
        Constant Field Values

    - #### SOAPLITE

          public static final java.lang.String SOAPLITE

      SOAP lite type
      See Also:
        Constant Field Values

    - #### MINVALUE

          public static final java.lang.String MINVALUE

      This defines the minimum value tag
      See Also:
        Constant Field Values

    - #### MAXVALUE

          public static final java.lang.String MAXVALUE

      This defines the maximum value tag
      See Also:
        Constant Field Values

    - #### RANGE

          public static final java.lang.String RANGE

      This defines the range tag
      See Also:
        Constant Field Values

    - #### SEED

          public static final java.lang.String SEED

      This defines the seed tag
      See Also:
        Constant Field Values

    - #### ERROR

          public static final java.lang.String ERROR

      Defines a service data
      See Also:
        Constant Field Values

    - #### NULL

          public static final java.lang.String NULL

      Null indicator
      See Also:
        Constant Field Values

    - #### SEPCHARS

          public static final java.lang.String SEPCHARS

      Token separtor of random char sequence
      See Also:
        Constant Field Values

    - #### DECODE

          public static final java.lang.String DECODE

      Decode attribute
      See Also:
        Constant Field Values

    - #### TRUE

          public static final java.lang.String TRUE

      True indicator
      See Also:
        Constant Field Values

    - #### TAB

          public static final java.lang.String TAB

      Tab amount
      See Also:
        Constant Field Values

    - #### COLON

          public static final java.lang.String COLON

      The colon symbol
      See Also:
        Constant Field Values

    - #### counter

          public static long counter

      For debugging

  - ### Constructor Detail

    - #### Const

          public Const()

      Creates a new instance of Const

  - ### Method Detail

    - #### isLinux

          public static boolean isLinux()

      Return true if linux or android OS is specified.
      Returns:
        true if Linux, false if other or null.

    - #### isMobile

          public static boolean isMobile()

      Return true if a mobile (android) OS is specified.
      Returns:
        true if mobile, false if other or null.